#!/bin/bash

# Script para mutear automáticamente micrófonos en uso con PipeWire usando pactl.

# Obtiene la lista de todos los dispositivos de entrada y verifica si están en estado RUNNING
microfonos_inactivos=$(pactl list sources short | awk '$7 == "SUSPENDED" {print $1}')

# Verifica si hay algún micrófono activo
if [[ -n "$microfonos_inactivos" ]]; then
    echo "desmuteando micrófonos inaactivos..."
    for mic in $microfonos_inactivos; do
        pactl set-source-mute "$mic" 0
        echo "Micrófono con índice $mic ha sido desmuteado."
    done
else
    echo "No hay micrófonos inactivos en uso."
fi

